<template>
    <div class="homepageStatistics">
        <h2>Global tomato checker statistics</h2>
        <div class="grid">
            <AppAccurayStats class="grid__cl-1 grid__rw-1-3" :percentage="modelAccuracy"/>
            <AppHealthStats class="grid__cl-2" :type="0" :percentage="percentageUnhealthy"/>
            <AppHealthStats class="grid__cl-2" :type="1" :percentage="percentageHealthy"/>
            <AppUploadVSProcessed class="grid__cl-1-2" :uploadedImages="uploaded" :processedImages="processed"/>
        </div>
    </div>
</template>
<script>
    import AppHealthStats from "~/components/statistics/health.vue";
    import AppAccurayStats from "~/components/statistics/accuracy.vue";
    import AppUploadVSProcessed from "~/components/statistics/uploadVSprocessed.vue";

    export default {
        components: {
            AppHealthStats,
            AppAccurayStats,
            AppUploadVSProcessed
        },
        data() {
            return {
                uploaded: 0,
                processed: 0,
                percentageHealthy: '0',
                percentageUnhealthy: '0',
                modelAccuracy: 0
            }
        },
        async mounted() {
            await this.$store.dispatch("statistics/getStats");
            this.uploaded = this.$store.state.statistics.uploaded;
            this.processed = this.$store.state.statistics.processed;
            this.percentageHealthy = this.$store.state.statistics.percentageHealthy;
            this.percentageUnhealthy = this.$store.state.statistics.percentageUnhealthy;
            this.modelAccuracy = this.$store.state.statistics.modelAccuracy;
        }
    }
</script>
